Package org.apache.sling.api.resource.runtime.dto

# Class ResourceProviderDTO

java.lang.Object
org.apache.sling.api.resource.runtime.dto.ResourceProviderDTO

Direct Known Subclasses:
  `ResourceProviderFailureDTO`

public class ResourceProviderDTO extends Object
Represents a `org.apache.sling.spi.resource.provider.ResourceProvider`.

Since:
  1.0.0 (Sling API Bundle 2.11.0)

## Field Summary

Fields
Modifier and Type
Field
Description
`boolean`
`adaptable`
Whether the resource provider supports adaptable.
`boolean`
`attributable`
Whether the resource provider supports attributes.
`AuthType`
`authType`
The auth handling for this provider.
`boolean`
`modifiable`
Whether the resource provider supports modifications.
`String`
`name`
The name of the resource provider.
`String`
`path`
The path of the resource provider.
`boolean`
`refreshable`
Whether the resource provider supports refreshing.
`long`
`serviceId`
The service id from the service registry.
`boolean`
`supportsQueryLanguage`
Whether the resource provider supports query languages.
`boolean`
`useResourceAccessSecurity`
Whether resource access security should be used.

## Constructor Summary

Constructors
Constructor
Description
`ResourceProviderDTO()`

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### name

public String name
The name of the resource provider. Optional might be `null`.

### path

public String path
The path of the resource provider. This is never `null`.

### useResourceAccessSecurity

public boolean useResourceAccessSecurity
Whether resource access security should be used.

### authType

public AuthType authType
The auth handling for this provider. This is never `null`.

### modifiable

public boolean modifiable
Whether the resource provider supports modifications.

### adaptable

public boolean adaptable
Whether the resource provider supports adaptable.

### refreshable

public boolean refreshable
Whether the resource provider supports refreshing.

### attributable

public boolean attributable
Whether the resource provider supports attributes.

### supportsQueryLanguage

public boolean supportsQueryLanguage
Whether the resource provider supports query languages.

### serviceId

public long serviceId
The service id from the service registry.

## Constructor Details

### ResourceProviderDTO

public ResourceProviderDTO()